## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/cscolor.h File Reference

Floating-point color. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes

class | csColor
| A class used to represent a color in RGB space. More...
class | csColor4
| A class used to represent a color in RGBA space. More...

## Functions

csColor | operator * (float f, const csColor &s)
| Multiply a scalar value by a color.
csColor | operator * (const csColor &s, float f)
| Multiply a color by a scalar value.
csColor | operator * (const csColor &v1, const csColor &v2)
| Multiply two colors.
csColor | operator+ (const csColor &s1, const csColor &s2)
| Add two colors.
csColor | operator- (const csColor &s1, const csColor &s2)
| Subtract two colors.
csColor | operator/ (const csColor &v, float f)
| Divide a color by a scalar.

## Detailed Description

Floating-point color.

Definition in file cscolor.h.

## Function Documentation

csColor operator * | ( | float | f,
|  | const csColor & | s
| ) | `[inline]`

| Multiply a scalar value by a color. Definition at line 225 of file cscolor.h.

csColor operator * | ( | const csColor & | s,
|  | float | f
| ) | `[inline]`

| Multiply a color by a scalar value. Definition at line 221 of file cscolor.h.

csColor operator * | ( | const csColor & | v1,
|  | const csColor & | v2
| ) | `[inline]`

| Multiply two colors. Definition at line 113 of file cscolor.h. References csColor::blue, csColor::green, and csColor::red.

csColor operator+ | ( | const csColor & | s1,
|  | const csColor & | s2
| ) | `[inline]`

| Add two colors. Definition at line 229 of file cscolor.h.

csColor operator- | ( | const csColor & | s1,
|  | const csColor & | s2
| ) | `[inline]`

| Subtract two colors. Definition at line 232 of file cscolor.h.

csColor operator/ | ( | const csColor & | v,
|  | float | f
| ) | `[inline]`

| Divide a color by a scalar. Definition at line 110 of file cscolor.h. References csColor::blue, csColor::green, and csColor::red.